curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyApproveMutation {
warrantyApprove(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"approved": true
}
Approve Warranty
This endpoint approves a warranty.
POST
/
v1
/
warranties
/
:id
/
approve
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyApproveMutation {
warrantyApprove(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"approved": true
}
Body
string
The ID provided in the data tab may be used to identify the warranty
Response
string
The ID provided in the data tab may be used to identify the warranty
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/approve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyApproveMutation {
warrantyApprove(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Approve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"approved": true
}
โI